public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tzdata/
Date: Mon, 28 Aug 2023 18:15:30 +0000 (UTC)	[thread overview]
Message-ID: <1693246523.4974eb40edca49042ed1dba24d28469e6d18c180.mgorny@gentoo> (raw)

commit:     4974eb40edca49042ed1dba24d28469e6d18c180
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 28 18:09:54 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 18:15:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4974eb40

dev-python/tzdata: A shim package (v9999) to satisfy deps

Add a shim package that installs metadata for `tzdata` to satisfy
the requirements of other packages while using system timezone-data.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tzdata/metadata.xml       |  8 ++++++++
 dev-python/tzdata/tzdata-9999.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/tzdata/metadata.xml b/dev-python/tzdata/metadata.xml
new file mode 100644
index 000000000000..7d421671d884
--- /dev/null
+++ b/dev-python/tzdata/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+	</maintainer>
+	<stabilize-allarches/>
+</pkgmetadata>

diff --git a/dev-python/tzdata/tzdata-9999.ebuild b/dev-python/tzdata/tzdata-9999.ebuild
new file mode 100644
index 000000000000..5e212ace5c26
--- /dev/null
+++ b/dev-python/tzdata/tzdata-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="tzdata shim to satisfy requirements (while using system tzdata)"
+HOMEPAGE="https://peps.python.org/pep-0615/"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	sys-libs/timezone-data
+"
+
+src_unpack() {
+	mkdir "${S}" || die
+	cat > "${S}/pyproject.toml" <<-EOF || die
+		[build-system]
+		requires = ["hatchling"]
+		build-backend = "hatchling.build"
+
+		[project]
+		name = "tzdata"
+		version = "9999"
+		description = "tzdata shim to satisfy requirements (using system tzdata)"
+	EOF
+}


             reply	other threads:[~2023-08-28 18:15 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-28 18:15 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-03  1:51 [gentoo-commits] repo/gentoo:master commit in: dev-python/tzdata/ Sam James
2023-10-03  1:59 Sam James
2023-10-06 14:52 Sam James
2023-10-29  3:40 Sam James
2023-10-29  3:40 Sam James
2023-12-12 18:18 Michał Górny
2024-03-22 19:29 Michał Górny
2024-03-24 16:22 Michał Górny
2024-04-11 16:35 Arthur Zamarin
2024-04-11 19:04 Michał Górny
2024-05-18 10:15 Michał Górny
2024-10-08 20:46 Arthur Zamarin
2024-10-14 22:37 Sam James
2025-02-16 18:44 Michał Górny
2025-02-27 10:48 Sam James
2025-05-14 11:59 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693246523.4974eb40edca49042ed1dba24d28469e6d18c180.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox